Cryptographic Issues Affecting scottbrady.identitymodel Open this link in a new tab package, versions [,1.3.0)


0.0
high
  • Attack Complexity

    High

  • Confidentiality

    High

  • Integrity

    High

  • Availability

    High

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-DOTNET-SCOTTBRADYIDENTITYMODEL-1082869

  • published

    5 Mar 2021

  • disclosed

    5 Mar 2021

  • credit

    Unknown

How to fix?

Upgrade ScottBrady.IdentityModel to version 1.3.0 or higher.

Overview

ScottBrady.IdentityModel is a helper library for tokens and cryptography in .NET.

Affected versions of this package are vulnerable to Cryptographic Issues. The Branca implementation allows an attacker to modify and forge authentication tokens.

References